<template>
  <div class="logout">
    <div class="logout-content">
      <div class="logout-title">
        <span class="title-text">wPlay</span>
        <img class="title-logo" src="@/assets/images/wplay_logo.svg" alt="" height="50px">
      </div>
      <div class="logout-info">
        <font-awesome-icon icon="spinner" size="lg" pulse />
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  name: 'Logout',
  methods: {
    ...mapActions('session', ['logout']),
  },
  async mounted() {
    await this.logout();
    localStorage.removeItem('selected_organization');
    this.$router.replace({ name: 'login' });
  },
};
</script>

<style lang="scss" scoped>
.logout {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;

  &-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
  }

  &-title {
    display: flex;
    justify-content: center;
    align-items: center;

    .title {

      &-text {
        color: #000;
        font-size: 60px;
        font-family: $firaSans;
      }

      &-logo {
        margin-left: 11px;
      }

    }

  }

  &-info {
    margin-top: 28px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-family: $montserrat;
  }

}
</style>
